Skip to main content
Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/ZWatch Operations/Text Template Operations

CreateAliyunSmsSNSTextTemplate

CreateAliyunSmsSNSTextTemplate

POST/zstack/v1/zwatch/alarms/sns/text-templates/aliyun-sms

Operation ID

CreateAliyunSmsSNSTextTemplate

Since

3.7.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • sign
      StringRequired

      The SMS signature.

    • alarmTemplateCode
      StringRequired

      The resource alarm template code.

    • eventTemplateCode
      StringRequired

      The event alarm template code.

    • eventTemplate
      String

      Optional. The event alarm template text.

    • name
      StringRequired

      The template name.

    • description
      String

      Optional. The detailed description of the template.

    • applicationPlatformType
      StringRequired

      The type of the SNS application platform.

    • template
      StringRequired

      The resource alarm template text.

    • recoveryTemplate
      String

      Optional. The recovery template text.

    • defaultTemplate
      Boolean

      Optional. Whether to set the template as the default template.

    • resourceUuid
      String

      Optional.

    • tagUuids
      List

      Optional. The tag UUID list.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    SNSTextTemplateInventoryRequired

    See inventory.

    • uuid
      StringRequired

      The resource UUID.

    • name
      StringRequired

      Th resource name.

    • description
      StringRequired

      The detailed description of the resource.

    • applicationPlatformType
      StringRequired

      The application platform type.

    • template
      StringRequired

      The template text.

    • recoveryTemplate
      StringRequired

      The recovery template text.

    • defaultTemplate
      BooleanRequired

      Whether to set the template as the default template.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.